package jp.sourceforge.jpnvalidator;

import java.io.File;

public interface JapaneseValidator
{

	public enum Type
	{
		CR, LF, SPACE, SPACE_OR_BREAK, ASCII, ZENKAKU_JIS_KANJI_LEVEL_1, ZENKAKU_JIS_KANJI_LEVEL_2, ZENKAKU_ALPHABET, ZENKAKU_HIRAGANA, ZENKAKU_KATAKANA, ZENKAKU_NUMBER, ZENKAKU_SYMBOL, HANKAKU_KATAKANA
	}

	public JapaneseValidator matches(Type... args);

	public JapaneseValidator setBlackListFile(String resourcePathOrFilePath);

	public ValidatorResult validate(String targetStr) throws Exception;

	public ValidatorResult validate(File file) throws Exception;

	public boolean validateFast(String targetStr) throws Exception;

	public boolean validateFast(File file) throws Exception;

}
